#!/bin/bash

export DISPLAY=:0.0

OOBE_LOG="/var/log/oobe.log"
LIVE=$(cat /proc/cmdline | grep -q -w "boot=live" )
IS_LIVE=$(echo $?) ## 0 live
if [[ -f "/opt/nfs-installer-oobe/first_boot" ]] && [[ $IS_LIVE != 0 ]];then
    sleep 3
    /usr/bin/X vt2 &

    # wait for Xorg to start
    wait_limit=60
    wait_time=0
    timeout_flag=0
    echo "start loop for waiting Xorg start ..." >> /var/log/oobe.log
    while ! xrandr >> $OOBE_LOG 2>&1
    do
	    if [ $wait_time -lt $wait_limit ]; then
		    wait_time=`expr $wait_time + 1`
		    echo "waiting ................" >> $OOBE_LOG
            else
		    timeout_flag=1
		    echo "timeout ................" >> $OOBE_LOG
		    break
            fi
	    sleep 1
    done

    if [ "X1" == "X$timeout_flag" ];then
	    exit 1
    fi

    # start oobe
    /opt/nfs-installer-oobe/usr/bin/nfs-installer-oobe
    if [ $? = 1 ];then
        exit 1
    fi
else
    exit 1
fi

/usr/bin/cp -f /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe/lightdm.conf /etc/lightdm/lightdm.conf
mkdir /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/mv /etc/xdg/autostart/calamares-desktop-icon.desktop /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/mv /usr/share/applications/install-debian.desktop /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/rm -f /etc/xdg/autostart/add-oem-install-desktop.desktop
/usr/sbin/userdel -rf oem

if [ -f "/opt/nfs-installer-oobe/first_boot" ];then
    /usr/bin/rm -f /opt/nfs-installer-oobe/first_boot
fi

loginName=`cat /opt/nfs-installer-oobe/usr/share/calamares/loginName`
echo -e "[SeatDefaults]\nautologin-user=${loginName}" >> /etc/lightdm/lightdm.conf

#删除QT缩放比环境变量
sed -i "/QT_/d" /etc/environment
#删除found-livecd-customization 解决联想熄屏问题
hasFoundLivecdCustomization=$(dpkg -l | grep found-livecd-customization )
if [ -n "$hasFoundLivecdCustomization" ];then
    dpkg -P found-livecd-customization
fi

dpkg -P nfs-installer nfs-installer-settings nfs-installer-oobe
systemctl disable nfs-installer-oobe.service
systemctl enable lightdm.service
/usr/bin/systemctl start lightdm
sleep 8
kill -9 `ps -aux | grep "tty2" | grep -v "grep" | awk '{print $2}'`
exit 0
